Contact views
Get a contact view
Get one saved contact view.
GET
/
contacts
/
views
/
{viewId}
curl -X GET "https://api.nedzo.ai/v1/contacts/views/4d3c2b1a-5e6f-4a7b-8c9d-0e1f2a3b4c5d" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "4d3c2b1a-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "VIP leads",
"filters": [{ "id": "flt_1", "fieldKey": "tags", "operator": "all_of", "value": "vip" }],
"sort": { "key": "created_at", "direction": "desc" },
"creatorName": null,
"createdAt": "2026-10-11T12:00:00Z",
"updatedAt": "2026-10-11T12:00:00Z"
}
Every plan can use this endpoint.
Path Parameters
curl -X GET "https://api.nedzo.ai/v1/contacts/views/4d3c2b1a-5e6f-4a7b-8c9d-0e1f2a3b4c5d" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "4d3c2b1a-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "VIP leads",
"filters": [{ "id": "flt_1", "fieldKey": "tags", "operator": "all_of", "value": "vip" }],
"sort": { "key": "created_at", "direction": "desc" },
"creatorName": null,
"createdAt": "2026-10-11T12:00:00Z",
"updatedAt": "2026-10-11T12:00:00Z"
}
creatorName is null here. List contact views shows the creator’s name. For the filter fields, see Filters.
Errors
| Status | When |
|---|---|
400 | viewId is not a UUID. |
404 | No view has this id, or it is not in this key’s scope. |
Was this page helpful?
⌘I
curl -X GET "https://api.nedzo.ai/v1/contacts/views/4d3c2b1a-5e6f-4a7b-8c9d-0e1f2a3b4c5d" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "4d3c2b1a-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"workspaceId": "789e4567-e89b-12d3-a456-426614174000",
"name": "VIP leads",
"filters": [{ "id": "flt_1", "fieldKey": "tags", "operator": "all_of", "value": "vip" }],
"sort": { "key": "created_at", "direction": "desc" },
"creatorName": null,
"createdAt": "2026-10-11T12:00:00Z",
"updatedAt": "2026-10-11T12:00:00Z"
}